﻿using UnityEngine;

namespace Mod
{
    public class Mod
    {
        public static void Main()
        {
            CategoryBuilder.Create("Counter-Strike", "Counter-Strike mod category", ModAPI.LoadSprite("icon.png"));

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Knife"),
        NameOverride = "Knife (CS)",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
        NameToOrderByOverride = "1",
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/knifethumb.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/knife.png");
            foreach (var c in Instance.GetComponents<Collider2D>())
            {
                GameObject.Destroy(c);
            }
            var knife = Instance.AddComponent<BoxCollider2D>();
            knife.size = new Vector2(0.1f, 0.57f);
                        //knife.offset = new Vector2(0.03f, 0f);
                        var phys = Instance.GetComponent<PhysicalBehaviour>().Properties;
            phys.Sharp = true;
            phys.SharpAxes = new[]
            {
                            new SharpAxis(Vector2.up, -0.06f, 0.26f, true, false),
            };
        }

    }
);

ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Glock 17"),
    NameOverride = "9×19mm Sidearm (CS)",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
    NameToOrderByOverride = "2",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/glockcsthumb.png"),
    AfterSpawn = (Instance) =>
    {
        ModAPI.KeepExtraObjects();

        var GlockSlide = Instance.transform.Find("Slide");
        GlockSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/glockcsSlide.png");

        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/glockcs.png");
        foreach (var c in Instance.GetComponents<Collider2D>())
        {
            GameObject.Destroy(c);
        }
        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

        var firearm = Instance.GetComponent<FirearmBehaviour>();

        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
        customCartridge.name = "9mm";
        customCartridge.Damage *= 1.75f;
        customCartridge.StartSpeed *= 1.5f;
        customCartridge.PenetrationRandomAngleMultiplier *= 0.6f;
        customCartridge.Recoil *= 0.7f;
        customCartridge.ImpactForce *= 0.7f;
        firearm.Cartridge = customCartridge;

        Instance.FixColliders();
}
}
);

ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Glock 17"),
    NameOverride = "K&M .45 Tactical (CS)",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
    NameToOrderByOverride = "2",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/uspthumb.png"),
    AfterSpawn = (Instance) =>
    {
        ModAPI.KeepExtraObjects();

        var USPSlide = Instance.transform.Find("Slide");
        USPSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/uspslide.png");

        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/usp.png");
        foreach (var c in Instance.GetComponents<Collider2D>())
        {
            GameObject.Destroy(c);
        }
        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

        var firearm = Instance.GetComponent<FirearmBehaviour>();

        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
        customCartridge.name = ".45";
        customCartridge.Damage *= 1.95f;
        customCartridge.StartSpeed *= 1.5f;
        customCartridge.PenetrationRandomAngleMultiplier *= 0.6f;
        customCartridge.Recoil *= 0.7f;
        customCartridge.ImpactForce *= 0.7f;
        firearm.Cartridge = customCartridge;

        Instance.FixColliders();
}
}
);

ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Glock 17"),
    NameOverride = "K&M .45 Tactical (Supressed) (CS)",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
    NameToOrderByOverride = "2",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/uspsupthumb.png"),
    AfterSpawn = (Instance) =>
    {
        ModAPI.KeepExtraObjects();

        var USPSlide = Instance.transform.Find("Slide");
        USPSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/uspsupslide.png");

        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/uspsup.png");
        foreach (var c in Instance.GetComponents<Collider2D>())
        {
            GameObject.Destroy(c);
        }
        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

        var firearm = Instance.GetComponent<FirearmBehaviour>();

        firearm.ShotSounds = new AudioClip[]
        {
                ModAPI.LoadSound("Sounds/uspsup.mp3"),
        };

        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
        customCartridge.name = ".45";
        customCartridge.Damage *= 1.95f;
        customCartridge.StartSpeed *= 1.5f;
        customCartridge.PenetrationRandomAngleMultiplier *= 0.6f;
        customCartridge.Recoil *= 0.7f;
        customCartridge.ImpactForce *= 0.7f;
        firearm.Cartridge = customCartridge;

        Instance.FixColliders();
}
}
);

ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Glock 17"),
    NameOverride = "228 Compact (CS)",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
    NameToOrderByOverride = "2",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/p228thumb.png"),
    AfterSpawn = (Instance) =>
    {
        ModAPI.KeepExtraObjects();

        var USPSlide = Instance.transform.Find("Slide");
        USPSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/p228slide.png");

        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/p228.png");
        foreach (var c in Instance.GetComponents<Collider2D>())
        {
            GameObject.Destroy(c);
        }
        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

        var firearm = Instance.GetComponent<FirearmBehaviour>();

        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
        customCartridge.name = ".357";
        customCartridge.Damage *= 2.15f;
        customCartridge.StartSpeed *= 1.5f;
        customCartridge.PenetrationRandomAngleMultiplier *= 0.6f;
        customCartridge.Recoil *= 0.75f;
        customCartridge.ImpactForce *= 0.65f;
        firearm.Cartridge = customCartridge;

        Instance.FixColliders();
}
}
);

ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Glock 17"),
    NameOverride = "Night Hawk .50C (CS)",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
    NameToOrderByOverride = "2",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/eaglecsthumb.png"),
    AfterSpawn = (Instance) =>
    {
        ModAPI.KeepExtraObjects();

        var EagleSlide = Instance.transform.Find("Slide");
        EagleSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/2.png");

        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/1.png");
        foreach (var c in Instance.GetComponents<Collider2D>())
        {
            GameObject.Destroy(c);
        }
        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

        var firearm = Instance.GetComponent<FirearmBehaviour>();

        Cartridge customCartridge = ModAPI.FindCartridge("50 AE");
        customCartridge.name = ".50";
        customCartridge.Damage *= 4.5f;
        customCartridge.StartSpeed *= 1.5f;
        customCartridge.PenetrationRandomAngleMultiplier *= 1.2f;
        customCartridge.Recoil *= 1.2f;
        customCartridge.ImpactForce *= 0.9f;
        firearm.Cartridge = customCartridge;

        Instance.FixColliders();
}
}
);

ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Glock 17"),
    NameOverride = "ES Five-seven (CS)",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
    NameToOrderByOverride = "2",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/fsthumb.png"),
    AfterSpawn = (Instance) =>
    {
        ModAPI.KeepExtraObjects();

        var USPSlide = Instance.transform.Find("Slide");
        USPSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/fsslide.png");

        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/fs.png");
        foreach (var c in Instance.GetComponents<Collider2D>())
        {
            GameObject.Destroy(c);
        }
        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

        var firearm = Instance.GetComponent<FirearmBehaviour>();

        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
        customCartridge.name = "5.7";
        customCartridge.Damage *= 2.5f;
        customCartridge.StartSpeed *= 1.7f;
        customCartridge.PenetrationRandomAngleMultiplier *= 0.6f;
        customCartridge.Recoil *= 0.55f;
        customCartridge.ImpactForce *= 0.65f;
        firearm.Cartridge = customCartridge;

        Instance.FixColliders();
}
}
);

ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Glock 17"),
    NameOverride = ".40 Elite (CS)",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
    NameToOrderByOverride = "2",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/m9thumb.png"),
    AfterSpawn = (Instance) =>
    {
        ModAPI.KeepExtraObjects();

        var USPSlide = Instance.transform.Find("Slide");
        USPSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/m9slide.png");

        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/m9.png");
        foreach (var c in Instance.GetComponents<Collider2D>())
        {
            GameObject.Destroy(c);
        }
        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

        var firearm = Instance.GetComponent<FirearmBehaviour>();

        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
        customCartridge.name = ".40";
        customCartridge.Damage *= 2f;
        customCartridge.StartSpeed *= 1.55f;
        customCartridge.PenetrationRandomAngleMultiplier *= 0.6f;
        customCartridge.Recoil *= 0.65f;
        customCartridge.ImpactForce *= 0.65f;
        firearm.Cartridge = customCartridge;

        Instance.FixColliders();
}
}
);

ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Shotgun"),
    NameOverride = "Leone 12 Gauge Super (CS)",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
    NameToOrderByOverride = "3",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/m3thumb.png"),
    AfterSpawn = (Instance) =>
    {
        //ModAPI.KeepExtraObjects();

        //var USPSlide = Instance.transform.Find("Slide");
        //USPSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/m9slide.png");

        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/m3.png");
        foreach (var c in Instance.GetComponents<Collider2D>())
        {
            GameObject.Destroy(c);
        }
        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

        var firearm = Instance.GetComponent<FirearmBehaviour>();

        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
        customCartridge.name = "12 gauge";
        customCartridge.Damage *= 5f;
        customCartridge.StartSpeed *= 1.25f;
        customCartridge.PenetrationRandomAngleMultiplier *= 0.6f;
        customCartridge.Recoil *= 0.8f;
        customCartridge.ImpactForce *= 0.85f;
        firearm.Cartridge = customCartridge;

        Instance.FixColliders();
}
}
);

ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Shotgun"),
    NameOverride = "Leone YG1265 Auto Shotgun (CS)",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
    NameToOrderByOverride = "3",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/xmthumb.png"),
    AfterSpawn = (Instance) =>
    {
        //ModAPI.KeepExtraObjects();

        //var USPSlide = Instance.transform.Find("Slide");
        //USPSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/xmslide.png");

        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/xm.png");
        foreach (var c in Instance.GetComponents<Collider2D>())
        {
            GameObject.Destroy(c);
        }
        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

        var firearm = Instance.GetComponent<FirearmBehaviour>();

        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
        customCartridge.name = "12 gauge";
        customCartridge.Damage *= 5f;
        customCartridge.StartSpeed *= 1.25f;
        customCartridge.PenetrationRandomAngleMultiplier *= 0.6f;
        customCartridge.Recoil *= 0.8f;
        customCartridge.ImpactForce *= 0.85f;
        firearm.Cartridge = customCartridge;

        Instance.FixColliders();
}
}
);

ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Glock 17"),
    NameOverride = "Schmidt Machine Pistol (CS)",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
    NameToOrderByOverride = "4",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/tmpthumb.png"),
    AfterSpawn = (Instance) =>
    {
        ModAPI.KeepExtraObjects();

        var TMPSlide = Instance.transform.Find("Slide");
        TMPSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/tmpslide.png");

        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/tmp.png");
        foreach (var c in Instance.GetComponents<Collider2D>())
        {
            GameObject.Destroy(c);
        }
        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

        var firearm = Instance.GetComponent<FirearmBehaviour>();

        firearm.ShotSounds = new AudioClip[]
        {
                ModAPI.LoadSound("Sounds/tmp.wav"),
        };

        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
        customCartridge.name = "9mm";
        customCartridge.Damage *= 1.55f;
        customCartridge.StartSpeed *= 1.35f;
        customCartridge.PenetrationRandomAngleMultiplier *= 0.6f;
        customCartridge.Recoil *= 0.75f;
        customCartridge.ImpactForce *= 0.65f;
        firearm.Cartridge = customCartridge;

        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().Automatic = true;
        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.075f; //0.07f;
    }
}
);

ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Glock 17"),
    NameOverride = "Ingram MAC-10 (CS)",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
    NameToOrderByOverride = "4",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/mac10thumb.png"),
    AfterSpawn = (Instance) =>
    {
        ModAPI.KeepExtraObjects();

        var MicroUziSlide = Instance.transform.Find("Slide");
        MicroUziSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/mac10slide.png");

        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/mac10.png");
        foreach (var c in Instance.GetComponents<Collider2D>())
        {
            GameObject.Destroy(c);
        }
        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

        var firearm = Instance.GetComponent<FirearmBehaviour>();

        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
        customCartridge.name = ".45";
        customCartridge.Damage *= 1.85f;
        customCartridge.StartSpeed *= 1.5f;
        customCartridge.PenetrationRandomAngleMultiplier *= 0.6f;
        customCartridge.Recoil *= 1.1f;
        customCartridge.ImpactForce *= 1.1f;
        firearm.Cartridge = customCartridge;

        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().Automatic = true;
        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.075f; //0.07f;
    }
}
);

ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
    NameOverride = "K&M Sub-Machine Gun (CS)",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
    NameToOrderByOverride = "4",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/mp5thumb.png"),
    AfterSpawn = (Instance) =>
    {
        //ModAPI.KeepExtraObjects();

        //var MicroUziSlide = Instance.transform.Find("Slide");
        //MicroUziSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/mp5slide.png");

        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/mp5.png");
        foreach (var c in Instance.GetComponents<Collider2D>())
        {
            GameObject.Destroy(c);
        }
        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

        var firearm = Instance.GetComponent<FirearmBehaviour>();

        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
        customCartridge.name = "9mm";
        customCartridge.Damage *= 1.55f;
        customCartridge.StartSpeed *= 1.35f;
        customCartridge.PenetrationRandomAngleMultiplier *= 0.6f;
        customCartridge.Recoil *= 0.55f;
        customCartridge.ImpactForce *= 0.65f;
        firearm.Cartridge = customCartridge;

        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().Automatic = true;
        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.075f; //0.07f;
    }
}
);

ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Submachine Gun"),
    NameOverride = "K&M UMP45 (CS)",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
    NameToOrderByOverride = "4",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/umpthumb.png"),
    AfterSpawn = (Instance) =>
    {
        //ModAPI.KeepExtraObjects();

        //var MicroUziSlide = Instance.transform.Find("Slide");
        //MicroUziSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/mp5slide.png");

        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/ump.png");
        foreach (var c in Instance.GetComponents<Collider2D>())
        {
            GameObject.Destroy(c);
        }
        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

        var firearm = Instance.GetComponent<FirearmBehaviour>();

        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
        customCartridge.name = ".45";
        customCartridge.Damage *= 1.9f;
        customCartridge.StartSpeed *= 1.5f;
        customCartridge.PenetrationRandomAngleMultiplier *= 0.6f;
        customCartridge.Recoil *= 0.8f;
        customCartridge.ImpactForce *= 0.85f;
        firearm.Cartridge = customCartridge;

        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().Automatic = true;
        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.075f; //0.07f;
    }
}
);

ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Glock 17"),
    NameOverride = "ES C90 (CS)",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
    NameToOrderByOverride = "4",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/p90thumb.png"),
    AfterSpawn = (Instance) =>
    {
        //ModAPI.KeepExtraObjects();

        //var MicroUziSlide = Instance.transform.Find("Slide");
        //MicroUziSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/mp5slide.png");

        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/p90.png");
        foreach (var c in Instance.GetComponents<Collider2D>())
        {
            GameObject.Destroy(c);
        }
        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

        var firearm = Instance.GetComponent<FirearmBehaviour>();

        Cartridge customCartridge = ModAPI.FindCartridge("9mm");
        customCartridge.name = "5.7";
        customCartridge.Damage *= 2f;
        customCartridge.StartSpeed *= 1.5f;
        customCartridge.PenetrationRandomAngleMultiplier *= 0.75f;
        customCartridge.Recoil *= 0.6f;
        customCartridge.ImpactForce *= 0.6f;
        firearm.Cartridge = customCartridge;

        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().Automatic = true;
        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.075f; //0.07f;
    }
}
);

ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("Vector"),
    NameOverride = "M249 (CS)",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
    NameToOrderByOverride = "5",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/m249thumb.png"),
    AfterSpawn = (Instance) =>
    {
        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/m249.png");
        foreach (var c in Instance.GetComponents<Collider2D>())
        {
            GameObject.Destroy(c);
        }
        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

        var firearm = Instance.GetComponent<FirearmBehaviour>();

        Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
        customCartridge.name = "5.56";
        customCartridge.Damage *= 3.75f;
        customCartridge.StartSpeed *= 1.6f;
        customCartridge.PenetrationRandomAngleMultiplier *= 0.8f;
        customCartridge.Recoil *= 1.2f;
        customCartridge.ImpactForce *= 1f;
        firearm.Cartridge = customCartridge;

        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().Automatic = true;
        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.125f; //0.07f;
    }
}
);

ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
    NameOverride = "IDF Defender (CS)",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
    NameToOrderByOverride = "6",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/galilthumb.png"),
    AfterSpawn = (Instance) =>
    {
        ModAPI.KeepExtraObjects();

        var GalilSlide = Instance.transform.Find("Slide");
        GalilSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/galilslide.png");

        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/galil.png");
        foreach (var c in Instance.GetComponents<Collider2D>())
        {
            GameObject.Destroy(c);
        }
        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

        var firearm = Instance.GetComponent<FirearmBehaviour>();

        Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
        customCartridge.name = "5.56";
        customCartridge.Damage *= 3.75f;
        customCartridge.StartSpeed *= 1.6f;
        customCartridge.PenetrationRandomAngleMultiplier *= 0.8f;
        customCartridge.Recoil *= 1.2f;
        customCartridge.ImpactForce *= 1f;
        firearm.Cartridge = customCartridge;

        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().Automatic = true;
        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.07f; //0.07f;
    }
}
);

ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("AK-47"),
    NameOverride = "Clarion 5.56 (CS)",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
    NameToOrderByOverride = "6",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/famasthumb.png"),
    AfterSpawn = (Instance) =>
    {
        //ModAPI.KeepExtraObjects();

        //var MicroUziSlide = Instance.transform.Find("Slide");
        //MicroUziSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/mp5slide.png");

        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/famas.png");
        foreach (var c in Instance.GetComponents<Collider2D>())
        {
            GameObject.Destroy(c);
        }
        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

        var firearm = Instance.GetComponent<FirearmBehaviour>();

        Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
        customCartridge.name = "5.56";
        customCartridge.Damage *= 3.75f;
        customCartridge.StartSpeed *= 1.6f;
        customCartridge.PenetrationRandomAngleMultiplier *= 0.8f;
        customCartridge.Recoil *= 1.2f;
        customCartridge.ImpactForce *= 1f;
        firearm.Cartridge = customCartridge;

        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().Automatic = true;
        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.07f; //0.07f;
    }
}
);

ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
    NameOverride = "CV-47 (CS)",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
    NameToOrderByOverride = "6",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/cvthumb.png"),
    AfterSpawn = (Instance) =>
    {
        ModAPI.KeepExtraObjects();

        var AKSlide = Instance.transform.Find("Slide");
        AKSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/cvslide.png");

        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/cv.png");
        foreach (var c in Instance.GetComponents<Collider2D>())
        {
            GameObject.Destroy(c);
        }
        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

        var firearm = Instance.GetComponent<FirearmBehaviour>();

        Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
        customCartridge.name = "7.62";
        customCartridge.Damage *= 4f;
        customCartridge.StartSpeed *= 1.75f;
        customCartridge.PenetrationRandomAngleMultiplier *= 0.9f;
        customCartridge.Recoil *= 1f;
        customCartridge.ImpactForce *= 0.8f;
        firearm.Cartridge = customCartridge;

        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().Automatic = true;
        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.07f; //0.07f;
    }
}
);

ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
    NameOverride = "Maverick M4A1 Carbine (CS)",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
    NameToOrderByOverride = "6",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/m4thumb.png"),
    AfterSpawn = (Instance) =>
    {
        //ModAPI.KeepExtraObjects();

        //var M4A1Slide = Instance.transform.Find("Slide");
        //M4A1Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/m4slide.png");

        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/m4.png");
        foreach (var c in Instance.GetComponents<Collider2D>())
        {
            GameObject.Destroy(c);
        }
        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

        var firearm = Instance.GetComponent<FirearmBehaviour>();

        Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
        customCartridge.name = "5.56";
        customCartridge.Damage *= 4f;
        customCartridge.StartSpeed *= 1.5f;
        customCartridge.PenetrationRandomAngleMultiplier *= 0.9f;
        customCartridge.Recoil *= 0.75f;
        customCartridge.ImpactForce *= 0.7f;
        firearm.Cartridge = customCartridge;

        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().Automatic = true;
        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.07f; //0.07f;
    }
}
);

ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
    NameOverride = "Maverick M4A1 Carbine (Supressed) (CS)",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
    NameToOrderByOverride = "6",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/m4supthumb.png"),
    AfterSpawn = (Instance) =>
    {
        //ModAPI.KeepExtraObjects();

        //var MicroUziSlide = Instance.transform.Find("Slide");
        //MicroUziSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/m4supslide.png");

        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/m4sup.png");
        foreach (var c in Instance.GetComponents<Collider2D>())
        {
            GameObject.Destroy(c);
        }
        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

        var firearm = Instance.GetComponent<FirearmBehaviour>();

        firearm.ShotSounds = new AudioClip[]
        {
                ModAPI.LoadSound("Sounds/tmp.wav"),
        };

        Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
        customCartridge.name = "5.56";
        customCartridge.Damage *= 4f;
        customCartridge.StartSpeed *= 1.5f;
        customCartridge.PenetrationRandomAngleMultiplier *= 0.9f;
        customCartridge.Recoil *= 0.75f;
        customCartridge.ImpactForce *= 0.7f;
        firearm.Cartridge = customCartridge;

        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().Automatic = true;
        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.07f; //0.07f;
    }
}
);

ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
    NameOverride = "Krieg 552 Commando (CS)",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
    NameToOrderByOverride = "6",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/552thumb.png"),
    AfterSpawn = (Instance) =>
    {
        ModAPI.KeepExtraObjects();

        var MicroUziSlide = Instance.transform.Find("Slide");
        MicroUziSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/552slide.png");

        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/552.png");
        foreach (var c in Instance.GetComponents<Collider2D>())
        {
            GameObject.Destroy(c);
        }
        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

        var firearm = Instance.GetComponent<FirearmBehaviour>();

        Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
        customCartridge.name = "5.56";
        customCartridge.Damage *= 3.5f;
        customCartridge.StartSpeed *= 1.5f;
        customCartridge.PenetrationRandomAngleMultiplier *= 0.9f;
        customCartridge.Recoil *= 0.65f;
        customCartridge.ImpactForce *= 0.65f;
        firearm.Cartridge = customCartridge;

        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().Automatic = true;
        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f; //0.07f;
    }
}
);

ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
    NameOverride = "Bullpup (CS)",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
    NameToOrderByOverride = "6",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/augthumb.png"),
    AfterSpawn = (Instance) =>
    {
        ModAPI.KeepExtraObjects();

        var AUGSlide = Instance.transform.Find("Slide");
        AUGSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/augslide.png");

        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/aug.png");
        foreach (var c in Instance.GetComponents<Collider2D>())
        {
            GameObject.Destroy(c);
        }
        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

        var firearm = Instance.GetComponent<FirearmBehaviour>();

        Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
        customCartridge.name = "5.56";
        customCartridge.Damage *= 3.5f;
        customCartridge.StartSpeed *= 1.5f;
        customCartridge.PenetrationRandomAngleMultiplier *= 0.9f;
        customCartridge.Recoil *= 0.65f;
        customCartridge.ImpactForce *= 0.65f;
        firearm.Cartridge = customCartridge;

        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().Automatic = true;
        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f; //0.07f;
    }
}
);

ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
    NameOverride = "Schmidt Scout (CS)",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
    NameToOrderByOverride = "7",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/scoutthumb.png"),
    AfterSpawn = (Instance) =>
    {
        ModAPI.KeepExtraObjects();

        var ScoutSlide = Instance.transform.Find("Slide");
        ScoutSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/scoutslide.png");

        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/scout.png");
        foreach (var c in Instance.GetComponents<Collider2D>())
        {
            GameObject.Destroy(c);
        }
        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

        var firearm = Instance.GetComponent<FirearmBehaviour>();

        Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
        customCartridge.name = "7.62";
        customCartridge.Damage *= 4.25f;
        customCartridge.StartSpeed *= 1.7f;
        customCartridge.PenetrationRandomAngleMultiplier *= 0.8f;
        customCartridge.Recoil *= 0.45f;
        customCartridge.ImpactForce *= 0.7f;
        firearm.Cartridge = customCartridge;

        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().Automatic = false;
    }
}
);

ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
    NameOverride = "Magnum Sniper Rifle (CS)",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
    NameToOrderByOverride = "7",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/awpthumb.png"),
    AfterSpawn = (Instance) =>
    {
        ModAPI.KeepExtraObjects();

        var AWPSlide = Instance.transform.Find("Slide");
        AWPSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/awpslide.png");

        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/awp.png");
        foreach (var c in Instance.GetComponents<Collider2D>())
        {
            GameObject.Destroy(c);
        }
        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

        var firearm = Instance.GetComponent<FirearmBehaviour>();

        Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
        customCartridge.name = ".338";
        customCartridge.Damage *= 7.5f;
        customCartridge.StartSpeed *= 2f;
        customCartridge.PenetrationRandomAngleMultiplier *= 1.5f;
        customCartridge.Recoil *= 1.5f;
        customCartridge.ImpactForce *= 2f;
        firearm.Cartridge = customCartridge;

        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().Automatic = false;
    }
}
);

ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
    NameOverride = "D3/AU-1 (CS)",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
    NameToOrderByOverride = "7",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/g3thumb.png"),
    AfterSpawn = (Instance) =>
    {
        ModAPI.KeepExtraObjects();

        var G3Slide = Instance.transform.Find("Slide");
        G3Slide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/g3slide.png");

        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/g3.png");
        foreach (var c in Instance.GetComponents<Collider2D>())
        {
            GameObject.Destroy(c);
        }
        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

        var firearm = Instance.GetComponent<FirearmBehaviour>();

        Cartridge customCartridge = ModAPI.FindCartridge("7.62x39mm");
        customCartridge.name = "7.62";
        customCartridge.Damage *= 5f;
        customCartridge.StartSpeed *= 1.8f;
        customCartridge.PenetrationRandomAngleMultiplier *= 1.15f;
        customCartridge.Recoil *= 1f;
        customCartridge.ImpactForce *= 1.4f;
        firearm.Cartridge = customCartridge;

        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().Automatic = true;
        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.4f;
    }
}
);

ModAPI.Register(
new Modification()
{
OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
    NameOverride = "Krieg 550 Commando (CS)",
    DescriptionOverride = "",
    CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
    NameToOrderByOverride = "7",
    ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/550thumb.png"),
    AfterSpawn = (Instance) =>
    {
        ModAPI.KeepExtraObjects();

        var KriegSlide = Instance.transform.Find("Slide");
        KriegSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/550slide.png");

        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/550.png");
        foreach (var c in Instance.GetComponents<Collider2D>())
        {
            GameObject.Destroy(c);
        }
        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().BulletsPerShot = 1;

        var firearm = Instance.GetComponent<FirearmBehaviour>();

        Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
        customCartridge.name = "5.56";
        customCartridge.Damage *= 5f;
        customCartridge.StartSpeed *= 1.8f;
        customCartridge.PenetrationRandomAngleMultiplier *= 1.15f;
        customCartridge.Recoil *= 1f;
        customCartridge.ImpactForce *= 1.4f;
        firearm.Cartridge = customCartridge;

        Instance.FixColliders();
        Instance.GetComponent<FirearmBehaviour>().Automatic = true;
        Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.4f;
    }
}
);

            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Phoenix Connexion (CS)",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/phoenixthumb.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("Sprites/CS/phoenix.png");
            var flesh = ModAPI.LoadTexture("Sprites/CS/fleshLayer.png");
            var bone = ModAPI.LoadTexture("Sprites/CS/boneLayer.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetBruiseColor(67, 65, 65);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(64, 64, 64);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Elite Crew (CS)",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/elitethumb.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("Sprites/CS/elite.png");
            var flesh = ModAPI.LoadTexture("Sprites/CS/fleshLayer.png");
            var bone = ModAPI.LoadTexture("Sprites/CS/boneLayer.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetBruiseColor(67, 65, 65);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(64, 64, 64);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Arctic Avenger (CS)",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/arcticthumb.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("Sprites/CS/arctic.png");
            var flesh = ModAPI.LoadTexture("Sprites/CS/fleshLayer.png");
            var bone = ModAPI.LoadTexture("Sprites/CS/boneLayer.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetBruiseColor(67, 65, 65);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(64, 64, 64);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Guerilla Warfare (CS)",
        NameToOrderByOverride = "d",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/guerillathumb.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("Sprites/CS/guerilla.png");
            var flesh = ModAPI.LoadTexture("Sprites/CS/fleshLayer.png");
            var bone = ModAPI.LoadTexture("Sprites/CS/boneLayer.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetBruiseColor(67, 65, 65);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(64, 64, 64);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "SEAL Team 6 (CS)",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/sealthumb.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("Sprites/CS/seal.png");
            var flesh = ModAPI.LoadTexture("Sprites/CS/fleshLayer.png");
            var bone = ModAPI.LoadTexture("Sprites/CS/boneLayer.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetBruiseColor(67, 65, 65);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(64, 64, 64);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "GSG-9 (CS)",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/gsgthumb.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("Sprites/CS/gsg.png");
            var flesh = ModAPI.LoadTexture("Sprites/CS/fleshLayer.png");
            var bone = ModAPI.LoadTexture("Sprites/CS/boneLayer.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetBruiseColor(67, 65, 65);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(64, 64, 64);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "SAS (CS)",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/sasthumb.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("Sprites/CS/sas.png");
            var flesh = ModAPI.LoadTexture("Sprites/CS/fleshLayer.png");
            var bone = ModAPI.LoadTexture("Sprites/CS/boneLayer.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetBruiseColor(67, 65, 65);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(64, 64, 64);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "GIGN (CS)",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/gignthumb.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("Sprites/CS/gign.png");
            var flesh = ModAPI.LoadTexture("Sprites/CS/fleshLayer.png");
            var bone = ModAPI.LoadTexture("Sprites/CS/boneLayer.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetBruiseColor(67, 65, 65);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(64, 64, 64);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "VIP (CS)",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/vipthumb.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("Sprites/CS/vip.png");
            var flesh = ModAPI.LoadTexture("Sprites/CS/fleshLayer.png");
            var bone = ModAPI.LoadTexture("Sprites/CS/boneLayer.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetBruiseColor(67, 65, 65);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(64, 64, 64);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Hostage (CS)",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/hostagethumb.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("Sprites/CS/hostage.png");
            var flesh = ModAPI.LoadTexture("Sprites/CS/fleshLayer.png");
            var bone = ModAPI.LoadTexture("Sprites/CS/boneLayer.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetBruiseColor(67, 65, 65);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(64, 64, 64);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Hostage (Worker) (CS)",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/hostage2thumb.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("Sprites/CS/hostage2.png");
            var flesh = ModAPI.LoadTexture("Sprites/CS/fleshLayer.png");
            var bone = ModAPI.LoadTexture("Sprites/CS/boneLayer.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetBruiseColor(67, 65, 65);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(64, 64, 64);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Human"),
        NameOverride = "Hostage (Scientist) (CS)",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/hostage3thumb.png"),
        AfterSpawn = (Instance) =>
        {
            var skin = ModAPI.LoadTexture("Sprites/CS/hostage3.png");
            var flesh = ModAPI.LoadTexture("Sprites/CS/fleshLayer.png");
            var bone = ModAPI.LoadTexture("Sprites/CS/boneLayer.png");

            var person = Instance.GetComponent<PersonBehaviour>();

            person.SetBodyTextures(skin, flesh, bone, 1);

            person.SetBruiseColor(67, 65, 65);
            person.SetSecondBruiseColor(154, 0, 7);
            person.SetThirdBruiseColor(64, 64, 64);
            person.SetRottenColour(202, 199, 104);
            person.SetBloodColour(108, 0, 4);
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "GSG-9 Helmet (CS)",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/gsghelmetthumb.png"),
        AfterSpawn = (Instance) =>

        {
            Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Foreground";
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/gsghelmet", 1f);
            Instance.FixColliders();


            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/gsghelmet.png", 1f);
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 40f;
            armor.armorPiece = "Head";
            armor.armorTier = 13;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
            Instance.FixColliders();
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "SEAL Team 6 Helmet (CS)",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/sealhelmetthumb.png"),
        AfterSpawn = (Instance) =>

        {
            Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Foreground";
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/sealhelmet", 1f);
            Instance.FixColliders();


            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/sealhelmet.png", 1f);
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 40f;
            armor.armorPiece = "Head";
            armor.armorTier = 13;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
            Instance.FixColliders();
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "GIGN Helmet (CS)",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/gignhelmetthumb.png"),
        AfterSpawn = (Instance) =>

        {
            Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Foreground";
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/gignhelmet.png", 1f);
            Instance.FixColliders();


            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/gignhelmet.png", 1f);
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 40f;
            armor.armorPiece = "Head";
            armor.armorTier = 13;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
            Instance.FixColliders();
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Stick"),
        NameOverride = "Bandana (CS)",
        NameToOrderByOverride = "d",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/bandanathumb.png"),
        AfterSpawn = (Instance) =>

        {
            Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Foreground";
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/bandana.png", 1f);
            Instance.FixColliders();


            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/bandana.png", 1f);
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 0f;
            armor.armorPiece = "Head";
            armor.armorTier = 0;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
            Instance.FixColliders();
        }
    }
);

            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Stick"),
        NameOverride = "Defuse Kit (CS)",
        NameToOrderByOverride = "9",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/defusethumb.png"),
        AfterSpawn = (Instance) =>

        {
            Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Foreground";
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/defuse.png", 1f);
            Instance.FixColliders();


            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/defuse.png", 1f);
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 6f;
            armor.armorPiece = "LowerBody";
            armor.armorTier = 0;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.03f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.03f;
            Instance.FixColliders();
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Stick"),
        NameOverride = "C4 Backpack (CS)",
        NameToOrderByOverride = "9",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/c4backthumb.png"),
        AfterSpawn = (Instance) =>

        {
            Instance.GetComponent<SpriteRenderer>().sortingLayerName = "Foreground";
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/c4back.png", 1f);
            Instance.FixColliders();


            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/c4back.png", 1f);
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 10f;
            armor.armorPiece = "MiddleBody";
            armor.armorTier = 1;

            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.07f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.07f;
            Instance.FixColliders();
        }
    }
);

            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"),
        NameOverride = "Tactical Shield (CS)",
        NameToOrderByOverride = "9",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/shieldthumb.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/shield.png");
            Instance.FixColliders();
            Instance.GetComponent<PhysicalBehaviour>().InitialMass = 1f;
            Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 1f;
            Instance.GetComponent<PhysicalBehaviour>().rigidbody.mass = 1f;
        }
    }
);

            ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Handgrenade"),
        NameOverride = "HE Grenade",
        NameToOrderByOverride = "8",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/hethumb.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/he.png");
            Instance.FixColliders();
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Dynamite"),
        NameOverride = "C4",
        NameToOrderByOverride = "8",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/c4thumb.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/c4.png");
            Instance.FixColliders();
            Instance.GetComponent<ExplosiveBehaviour>().BigExplosion = true;
        }
    }
);

/*ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Handgrenade"),
        NameOverride = "Flashbang",
        NameToOrderByOverride = "",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/flashthumb.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/flash.png");
            Instance.FixColliders();
        }
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Handgrenade"),
        NameOverride = "Smoke Grenade",
        NameToOrderByOverride = "",
        DescriptionOverride = "",
        CategoryOverride = ModAPI.FindCategory("Counter-Strike"),
        ThumbnailOverride = ModAPI.LoadSprite("Thumbs/CS/smokethumb.png"),
        AfterSpawn = (Instance) =>
        {
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Sprites/CS/smoke.png");
            Instance.FixColliders();
        }
    }
);*/
        }
    }
}